Package Details: publii 0.38.3-1

Git Clone URL: https://aur.archlinux.org/publii.git (read-only, click to copy)
Package Base: publii
Description: Publii is a desktop-based CMS for Windows, Mac and Linux that makes creating static websites fast and hassle-free, even for beginners
Upstream URL: https://github.com/GetPublii/Publii
Keywords: cms serverless
Licenses: MIT
Submitter: JulianXhokaxhiu
Maintainer: JulianXhokaxhiu
Last Packager: JulianXhokaxhiu
Votes: 6
Popularity: 0.002889
First Submitted: 2018-12-10 22:18
Last Updated: 2021-08-07 13:46

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

1 2 3 Next › Last »

JulianXhokaxhiu commented on 2020-07-06 17:28

@hconnor: I did some more tests around the globe and you're right. For some unknown reason to me, the server I hit from Italy has a borked CDN file, while from Germany and US I get the correct one ( I'm not sure what is different though as the file unpacks just fine in both cases ).

So in order to fix that I switched to the Alternative URL which I also do get the one you mentioned, and I've updated the sha256sum. Hope is going to be fine by now.

Thank you for raising the tension :)

hconnor commented on 2020-07-06 17:16

I can confirm that the sha256 is not correct. I have downloaded the file several times and each time I get "52399d47e05b8946ce6f3afb449f1a07da459e53228df25b99687fa0c65ff1d8" with version 0.36.1 build 13320. The files I downloaded were from the link above using firefox and from the backup cdn listed on the publii website. I also used wget to get the file from the primary cdn with the same sha256 as above. I'm located in the US with comcast as my ISP.

JulianXhokaxhiu commented on 2020-06-30 16:14

Yes, I can confirm

dinisbcoelho commented on 2020-06-30 16:07

That's strange. I just tried using NordVPN and it doesn't seem that the file changes from ISPs. Can you confirm that the sha256 is still, today, the same for you?

JulianXhokaxhiu commented on 2020-06-30 15:56

I did download this files from three different machines ( with Linux, Mac and Windows ), and all of them give me the same sha256 I've put in the PKGBUILD. I think either you're getting another file from the CDN or I am not sure what is going on. Because for me, it works just fine.

If you know a service which offers a way to sha something from multiple sources ( like different ISP providers ) I would appreciate and help in debugging this further.

dinisbcoelho commented on 2020-06-30 15:40

The sha256 isn't correct. It's supposed to be "52399d47e05b8946ce6f3afb449f1a07da459e53228df25b99687fa0c65ff1d8".

JulianXhokaxhiu commented on 2020-06-29 14:53

@DAMO238: Works fine here. The hashes were updated too, see https://aur.archlinux.org/cgit/aur.git/commit/?h=publii

DAMO238 commented on 2020-06-29 14:38

The sources seem to fail the sha256 checksum check and therefore fails to install. Full output:

:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur: 1]  publii-0.36.1-1

  1 publii                                   (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/1): /home/damien/.cache/yay/publii
:: Downloaded PKGBUILD (1/1): publii
  1 publii                                   (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: Parsing SRCINFO (1/1): publii
==> Making package: publii 0.36.1-1 (Mon 29 Jun 2020 15:33:03 BST)
==> Retrieving sources...
  -> Downloading Publii-0.36.1.rpm...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 72.8M  100 72.8M    0     0  1475k      0  0:00:50  0:00:50 --:--:-- 1490k
==> Validating source files with sha256sums...
    Publii-0.36.1.rpm ... FAILED
==> ERROR: One or more files did not pass the validity check!
Error downloading sources: publii

Looking at the package build, it appears that the version updated, but the checksum was not, so the discrepancy causes it to fail.

Tio commented on 2020-05-28 16:43

I uninstalled Zettler and it works now...weird...-

Tio commented on 2020-05-28 16:41

It is weird but I get this error:

conflicting files:
- publii: /usr/lib/.build-id/5b/fbd3977f004574cd6668333fd1dc52e6b31010 already exists in filesystem (owned by zettlr-bin)
- publii: /usr/lib/.build-id/72/d86eb8b1163969d3fc6f34b62b5160a33ad726 already exists in filesystem (owned by zettlr-bin)
- publii: /usr/lib/.build-id/75/2db195051aa513f5916d17ecc6e5d755124e14 already exists in filesystem (owned by zettlr-bin)
- publii: /usr/lib/.build-id/9f/604335c41e24151c5dbca16a33b81dc56c4c54 already exists in filesystem (owned by zettlr-bin)
- publii: /usr/lib/.build-id/cf/cca356ccaabf8d1e182054675cf63a92ad57a9 already exists in filesystem (owned by zettlr-bin)
- publii: /usr/lib/.build-id/f1/49c1b37a035c9c336c70bb56777811230332c9 already exists in filesystem (owned by zettlr-bin)